Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class ResultSetIterator

    java.lang.Object
      com.beasys.commerce.util.ResultSetIterator

All Implemented Interfaces
  Iterator

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ResultSetIterator

extends Object
implements Iterator

Implements the java.util.Iterator interface for a JDBC ResultSet. A more interesting (and useful) interface would implement the java.util.ListIterator interface

Field Summary
`static int` | `BELONGING_TYPE` Deprecated See BEA Commerce product offering
`static int` | `EJB_PK_TYPE` Deprecated See BEA Commerce product offering

Constructor Summary
`ResultSetIterator(String resultClassName, int resultClassType, Vector fieldMap, PreparedStatement preparedStatement, ResultSet resultSet)` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `hasNext()` Deprecated See BEA Commerce product offering
`Object` | `next()` Deprecated See BEA Commerce product offering
`void` | `remove()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BELONGING_TYPE

    public static final int BELONGING_TYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### EJB_PK_TYPE

    public static final int EJB_PK_TYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### ResultSetIterator

    public ResultSetIterator(String resultClassName,
                             int resultClassType,
                             Vector fieldMap,
                             PreparedStatement preparedStatement,
                             ResultSet resultSet)

  Deprecated See BEA Commerce product offering

Method Detail

### hasNext

    public boolean hasNext()

  Deprecated See BEA Commerce product offering

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Deprecated See BEA Commerce product offering

  Returns the next element in the interation.

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Deprecated See BEA Commerce product offering

  This operation is unsupported

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved